import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * CatRatButterflyWorld has cats, rats, and butterflys.
 * 
 * @author Mihaela Sabin
 * @author Meagan Wolf
 * @version OCt 4, 2011
 * @version Oct 11, 2011
 */
public class CatRatButterflyWorld  extends World
{
    private RatCounter theRatCounter;
    private Scoreboard theScoreboard;

    /**
     * Constructs a CatRatButterflyWorld object.
     * 
     */
    public CatRatButterflyWorld()
    {    
        super(560, 560, 1); 
        //places cats, rats, and butterflies in the world
        populate();
    }
    
    /**
     * Places cats, rats, and butterflies in the world.
     */
    public void populate()
    {
        addObject(new Cat(), 293, 265);
        theRatCounter=new RatCounter();
        addObject(theRatCounter, 0,0);
        addObject(new Rat(), 76, 45);
        theRatCounter.ratCreated();
        addObject(new Butterfly(), 219, 465);
        theRatCounter.ratCreated();
        addObject(new Rat(), 514, 520);
        addObject(new Timer(7), 509, 43); 
        theScoreboard=new Scoreboard();
        addObject(theScoreboard, 280, 140); 
    }  
    
    
    /**
     * Counts how many rats are in the game 
     */
    public RatCounter getRatCounter()
    {
        return theRatCounter;
    }    
    
    /**
     * Places the scoreboard in the game
     */
    public Scoreboard getScoreboard()
    {
        return theScoreboard;
    }    
    
}    
